Subject: Re: [nfsv4] rfc7861 - new rpcsec gss3 text for IANA registry of structured privilege names text

From: spencer shepler <[email-masked]>
Date: Mon, 18 Jul 2016 10:12:35 -0700

Andy,

Looking at the current editor's copy of the I-D, it doesn't appear that you
have folded in the last comments from Benjamin.  Is that true?

I don't believe there are any other open items for this at the moment.  We
will work to close on this at the WG meeting on Tuesday.

Spencer

On Tue, Jun 28, 2016 at 6:07 AM, Adamson, Andy <[email-masked]>
wrote:

>
> > On Jun 25, 2016, at 11:40 PM, Benjamin Kaduk <[email-masked]> wrote:
> >
> > On Fri, 24 Jun 2016, Adamson, Andy wrote:
> >
> >>
> >>> On Jun 24, 2016, at 4:11 PM, Benjamin Kaduk <[email-masked]> wrote:
> >>>
> >>> On Tue, 21 Jun 2016, Adamson, Andy wrote:
> >>>
> >>>>
> >>>> 5.2.  Structured Privilege Name Definitions
> >>>>
> >>>>  IANA has created a registry called the "RPCSEC_GSS Structured
> >>>>  Privilege Names Registry".
> >>>>
> >>>>  Structured privilege assertions (Section 2.7.1.4) are defined by a
> >>>>  specific RPC application.  The namespace identifiers for these
> >>>>  assertions (the rp_name) are defined as string names.  The
> >>>>  RPCSEC_GSSv3 protocol does not define the specific assignment of the
> >>>>  namespace for these structured privilege assertion names.  The IANA
> >>>>  registry promotes interoperability where common interests exist.
> >>>>  While RPC application developers are allowed to define and use
> >>>>  structured privileges as needed, they are encouraged to register
> >>>>  structured privilege assertion names with IANA.
> >>>>
> >>>>  The registry is to be maintained using the Standards Action policy as
> >>>>  defined in Section 4.1 of [RFC5226].
> >>>
> >>> "RPC application developers [...] are encouraged to register" seems
> >>> inconsistent with the Standards Action policy. It seems like Expert
> Review
> >>> would provide more flexibility for non-RFC registrations?
> >>
> >> "RPC application developers [...] are encouraged to register”.
> >>
> >> Here is the current plan:
> >> If they want an official IANA blessed structuctured privilege name,
> >> write an RFC. If not, then use PRIV or EXPE are for.
> >>
> >> The v4 working group so far has suggested the Standards Action Policy. I
> >> could clarify the above plan.
> >
> > Sure, it might be worth putting ", so application developers that do not
> > wish to publish an RFC for the RPC usage should use the PREV or EXPE
> > namespaces" at the end.
>
>
> Sure - that makes it very clear.
>
> Any other comments on Section 5.2 before I submit an updated version?
>
> —>Andy
>
> >  I mostly just wanted to confirm that this is the
> > intended policy and double-check that the WG didn't want something more
> > lenient for application developers to be able to use.
> >
> > Thanks,
> >
> > Ben
>
>

---

From: David Noveck <[email-masked]>
Date: Mon, 18 Jul 2016 15:38:32 -0400

If we are going to be discussing this at the working group meeting, can
someone send a pointer to the actual version we will be discussing?  All I
have access to is -17 which was submitted in January.  There aren't very
many changes from that to the current version but those are exactly the
ones we will be talking about.

On Mon, Jul 18, 2016 at 1:12 PM, spencer shepler <[email-masked]>
wrote:

>
>
>
> Andy,
>
>
>
> Looking at the current editor's copy of the I-D, it doesn't appear that
> you have folded in the last comments from Benjamin.  Is that true?
>
>
>
> On Tue, Jun 28, 2016 at 6:07 AM, Adamson, Andy <[email-masked]
> > wrote:
>
>>
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4
>
>

---

From: "Adamson, Andy" <[email-masked]>
Date: Mon, 18 Jul 2016 20:44:10 +0000

> On Jul 18, 2016, at 4:24 PM, Adamson, Andy <[email-masked]> wrote:
> 
> 
>> On Jul 18, 2016, at 1:12 PM, spencer shepler <[email-masked]> wrote:
>> 
>> 
>> 
>> Andy,
>> 
>> Looking at the current editor's copy of the I-D, it doesn't appear that you have folded in the last comments from Benjamin.  Is that true?
> 
> Yes - what happened is vacation. I asked if there were any more comments on June 28, then went on vacation over the July 4th week. The Internet Draft submission cut-off occurred while I was on vacation.
> 
>> 
>> I don't believe there are any other open items for this at the moment.  
> 
> No other open items that I know of.
> 
>> We will work to close on this at the WG meeting on Tuesday.
> 
> I attached the .xml and.txt with this one sentence addition.

well, this message with the attachments is being held until the list moderator can review it for approval as  " Message body is too big: 156634 bytes with a limit of 100 KB”

See you tomorrow.

—>Andy
> 
>   RPC application developers that do not wish to publish an RFC in
>   order to register a structured privilege in the IANA "RPCSEC_GSS
>   Structured Privilege Names Registry" should use the PRIV or EXPE
>   prefix to the structured privilege name.
> 
> —>Andy
> <rfc7861-7-11-2016.txt><rfc7861-7-11-2016.xml>
> 
>> 
>> Spencer
>> 
>> On Tue, Jun 28, 2016 at 6:07 AM, Adamson, Andy <[email-masked]> wrote:
>> 
>>>>> inconsistent with the Standards Action policy. It seems like Expert Review

---

From: "Adamson, Andy" <[email-masked]>
Date: Mon, 18 Jul 2016 20:24:13 +0000

—>Andy

---

From: Spencer Shepler <[email-masked]>
Date: Mon, 18 Jul 2016 20:53:18 +0000

And a html'd, color-diff'd version exists here: https://www.rfc-editor.org/authors/rfc7861-lastdiff.html

-----Original Message-----
From: Adamson, Andy [mailto:[email-masked]] 
Sent: Monday, July 18, 2016 1:44 PM
To: Adamson, Andy <[email-masked]>
Cc: spencer shepler <[email-masked]>; Benjamin Kaduk <[email-masked]>; Spencer Shepler <[email-masked]>; Nico Williams <[email-masked]>; [email-masked]; [email-masked]; Spencer Dawkins at IETF <[email-masked]>
Subject: Re: [nfsv4] rfc7861 - new rpcsec gss3 text for IANA registry of structured privilege names text

See you tomorrow.

—>Andy